GET api/iocardapi/ioCard/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
IOCardViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| pc_id | globally unique identifier |
None. |
|
| description_input_0 | string |
String length: inclusive between 0 and 50 |
|
| description_input_1 | string |
String length: inclusive between 0 and 50 |
|
| description_input_2 | string |
String length: inclusive between 0 and 50 |
|
| description_input_3 | string |
String length: inclusive between 0 and 50 |
|
| description_input_4 | string |
String length: inclusive between 0 and 50 |
|
| description_input_5 | string |
String length: inclusive between 0 and 50 |
|
| description_input_6 | string |
String length: inclusive between 0 and 50 |
|
| description_input_7 | string |
String length: inclusive between 0 and 50 |
|
| description_output_0 | string |
String length: inclusive between 0 and 50 |
|
| description_output_1 | string |
String length: inclusive between 0 and 50 |
|
| description_output_2 | string |
String length: inclusive between 0 and 50 |
|
| description_output_3 | string |
String length: inclusive between 0 and 50 |
|
| description_output_4 | string |
String length: inclusive between 0 and 50 |
|
| description_output_5 | string |
String length: inclusive between 0 and 50 |
|
| description_output_6 | string |
String length: inclusive between 0 and 50 |
|
| description_output_7 | string |
String length: inclusive between 0 and 50 |
|
| site_id | globally unique identifier |
None. |
|
| io_card_type_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
{
"id": "4fd540ca-a82b-443e-8f7d-14f32fbc4e99",
"name": "sample string 2",
"local_ip": "sample string 3",
"pc_id": "eb05fada-18c7-45c2-95a9-b39218442d09",
"description_input_0": "sample string 4",
"description_input_1": "sample string 5",
"description_input_2": "sample string 6",
"description_input_3": "sample string 7",
"description_input_4": "sample string 8",
"description_input_5": "sample string 9",
"description_input_6": "sample string 10",
"description_input_7": "sample string 11",
"description_output_0": "sample string 12",
"description_output_1": "sample string 13",
"description_output_2": "sample string 14",
"description_output_3": "sample string 15",
"description_output_4": "sample string 16",
"description_output_5": "sample string 17",
"description_output_6": "sample string 18",
"description_output_7": "sample string 19",
"site_id": "1e7f5cb9-2a38-4637-964f-e2dc0dfbf11a",
"io_card_type_id": "b208df9f-b8b6-463a-9a1c-166820b975cf",
"active": true
}
application/xml, text/xml
<iocard xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description_input_0>sample string 4</description_input_0> <description_input_1>sample string 5</description_input_1> <description_input_2>sample string 6</description_input_2> <description_input_3>sample string 7</description_input_3> <description_input_4>sample string 8</description_input_4> <description_input_5>sample string 9</description_input_5> <description_input_6>sample string 10</description_input_6> <description_input_7>sample string 11</description_input_7> <description_output_0>sample string 12</description_output_0> <description_output_1>sample string 13</description_output_1> <description_output_2>sample string 14</description_output_2> <description_output_3>sample string 15</description_output_3> <description_output_4>sample string 16</description_output_4> <description_output_5>sample string 17</description_output_5> <description_output_6>sample string 18</description_output_6> <description_output_7>sample string 19</description_output_7> <id>4fd540ca-a82b-443e-8f7d-14f32fbc4e99</id> <io_card_type_id>b208df9f-b8b6-463a-9a1c-166820b975cf</io_card_type_id> <local_ip>sample string 3</local_ip> <name>sample string 2</name> <pc_id>eb05fada-18c7-45c2-95a9-b39218442d09</pc_id> <site_id>1e7f5cb9-2a38-4637-964f-e2dc0dfbf11a</site_id> </iocard>